[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.CreateParams

Updates creation parameters to use values needed for the control.

## Declaration

Source position: stdctrls.pp line 1233

`protected procedure TCustomButton.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters updated in the method.

## Description

Calls the inherited method on entry. Ensures that the style flags in Params is updated to include BS_DEFPUSHBUTTON when the Default property is True. Otherwise, BS_PUSHBUTTON is included in the style flags.

## See also

TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.